Bug 104030 - [patch] devel/upp: SDL, library dependencies and socket
Summary: [patch] devel/upp: SDL, library dependencies and socket
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-05 21:20 UTC by m.sund
Modified: 2006-10-07 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.32 KB, patch)
2006-10-05 21:20 UTC, m.sund
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.sund 2006-10-05 21:20:18 UTC
- added socket patch to fix (non-)blocking behaviour
- fixed a few library dependencies for upp packages
- changed SDL usage (to reflect recent change in devel/sdl12)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-10-06 13:12:11 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Martin Wilke freebsd_committer 2006-10-06 14:32:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 dfilter service freebsd_committer 2006-10-07 10:17:40 UTC
miwi        2006-10-07 09:17:33 UTC

  FreeBSD ports repository

  Modified files:
    devel/upp            Makefile 
    devel/upp/files      patch-examples-SDLExample-SDLExample.upp 
  Added files:
    devel/upp/files      patch-uppsrc-Core-Core.upp 
                         patch-uppsrc-Draw-Draw.upp 
                         patch-uppsrc-Web-socket.cpp 
  Removed files:
    devel/upp/files      patch-examples-SDLExample-main.cpp 
  Log:
  - Added socket patch to fix (non-)blocking behaviour
  - Fixed a few library dependencies for upp packages
  - Changed SDL usage (to reflect recent change in devel/sdl12)
  
  PR:             ports/104030
  Submitted by:   Matthias Sund <m.sund@arcor.de> (maintainer)
  
  Revision  Changes    Path
  1.5       +2 -1      ports/devel/upp/Makefile
  1.3       +4 -6      ports/devel/upp/files/patch-examples-SDLExample-SDLExample.upp
  1.3       +0 -11     ports/devel/upp/files/patch-examples-SDLExample-main.cpp (dead)
  1.3       +11 -0     ports/devel/upp/files/patch-uppsrc-Core-Core.upp (new)
  1.3       +15 -0     ports/devel/upp/files/patch-uppsrc-Draw-Draw.upp (new)
  1.1       +42 -0     ports/devel/upp/files/patch-uppsrc-Web-socket.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2006-10-07 10:17:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!